/**
 * 
 */
package items;

/**
 * A single shoe object
 * 
 * @author maellis1
 * @version June 2020
 *
 */
public class Shoe {
    private String color;
    private Double size;
    private String foot;

    public Shoe(String color, Double size, String foot) {
        this.color = color;
        this.size = size;
        this.foot = foot;
    }


    /**
     * setter for shoe color
     * 
     * @param name
     */
    public void setColor(String name) {
        this.color = name;
    }


    /**
     * setter for shoe size
     * 
     * @param size
     */
    public void setSize(Double size) {
        this.size = size;
    }


    /**
     * setter for shoe foot (right or left)
     * 
     * @param foot
     */
    public void setFoot(String foot) {
        this.foot = foot;
    }


    /**
     * getter for shoe color
     * 
     * @return shoe color
     */
    public String getColor() {
        return color;
    }


    /**
     * getter for shoe size
     * 
     * @return shoe size
     */
    public Double getSize() {
        return size;
    }


    /**
     * getter for shoe foot
     * 
     * @return shoe foot (right or left)
     */
    public String getFoot() {
        return foot;
    }


    @Override
    public String toString() {
        return ("color: " + color + " and size: " + size);
    }


    @Override
    public boolean equals(Object obj) {
        if (obj == this)
            return true;
        if (obj == null)
            return false;
        if (this.getClass() == obj.getClass()) {
            Shoe other = (Shoe)obj;
            return color.equals(other.color) && size.equals(other.size) && foot
                .equals(other.foot);
        }
        else {
            return false;
        }
    }
}
