package items;

/**
 * A single sock object
 * 
 * @author maellis1
 * @version June 2020
 */
public class Sock {
    private String color;
    private String height;

    public Sock(String color, String height) {
        this.color = color;
        this.height = height;
    }


    /**
     * setter for sock color
     * 
     * @param name
     */
    public void setColor(String name) {
        this.color = name;
    }


    /**
     * setter for sock height
     * 
     * @param height
     */
    public void setHeight(String height) {
        this.height = height;
    }


    /**
     * getter for sock color
     * 
     * @return sock color
     */
    public String getColor() {
        return color;
    }


    /**
     * getter for sock height
     * 
     * @return sock height
     */
    public String getHeight() {
        return height;
    }


    @Override
    public String toString() {
        return ("color: " + color + " and height: " + height);
    }


    @Override
    public boolean equals(Object obj) {
        if (obj == this)
            return true;
        if (obj == null)
            return false;
        if (this.getClass() == obj.getClass()) {
            Sock other = (Sock)obj;
            return color.equals(other.color) && height.equals(other.height);
        }
        else {
            return false;
        }
    }
}
