package pair;

import items.*;

/**
 * Demonstrate using a type parameter with Pair objects
 * 
 * @author maellis1
 * @version June 2020
 *
 */
public class PairDriver {

    public static PairOfStrings names;
    public static PairOfIntegers ages;
    public static PairOfObjects myObjects;


    public static void main(String args[]) {

        Person jaime = new Person("Jaime", 30);
        Person jordan = new Person("Jordan", 32);

        Customer alexTheCustomer = new Customer("Alex", 32);

        Shoe leftShoe = new Shoe("black", 8.5, "left");
        Shoe rightShoe = new Shoe("black", 8.5, "right");

        names = new PairOfStrings();
        ages = new PairOfIntegers();

        names = new PairOfStrings("Jaime", "Jordan");
        ages = new PairOfIntegers(25, 22);

        myObjects = new PairOfObjects();

        myObjects = new PairOfObjects(jaime, jordan);

        myObjects = new PairOfObjects(alexTheCustomer, jordan);
        myObjects = new PairOfObjects(alexTheCustomer, rightShoe);
        myObjects = new PairOfObjects(alexTheCustomer, 12);

        Pair<Person> myPairPersons = new Pair<Person>(jaime, jordan);
        myPairPersons.setSecond(new Person("Susan", 27));

        /*
         * try out some of the statements below, see which are valid and which
         * are not
         */
        // myPairPersons.setFirst("Jane");
        // myPairPersons.setSecond(leftShoe);

        // myPairPersons = new Pair<Person>(leftShoe, jordan);
        // myPairPersons = new Pair<Person>(alexTheCustomer, jordan);

    }

}
