package pair;

/**
 * A pair of String items
 * 
 * @author maellis1
 * @version June 2020
 *
 */
public class PairOfStrings {
    private String first;
    private String second;

    /**
     * initializes the pair with no items
     */
    public PairOfStrings() {

    }


    /**
     * initializes the pair with two items
     * 
     * @param one
     *            first item
     * @param two
     *            second item
     */
    public PairOfStrings(String one, String two) {
        first = one;
        second = two;
    }


    /**
     * checks for equality
     * 
     * @return true if the 2 items are equal
     */
    public boolean areDuplicates() {
        if (isAPair())
            return first.equals(second);
        else
            return false;
    }


    /**
     * Check if there are two items
     * 
     * @return true if there are two items
     */
    public boolean isAPair() {
        return (first != null) && (second != null);
    }


    /**
     * getter for first item in the pair
     * 
     * @return first item in the pair
     */
    public String getFirst() {
        return first;
    }


    /**
     * getter for second item in the pair
     * 
     * @return second item in the pair
     */
    public String getSecond() {
        return second;
    }


    /**
     * setter for fist item in the pair
     * 
     * @param one
     */
    public void setFirst(String one) {
        first = one;
    }


    /**
     * setter for second item in the pair
     * 
     * @param second
     */
    public void setSecond(String two) {
        second = two;
    }


    /**
     * checks for a match
     * 
     * @return true if the 2 items are corresponding
     */

    @Override
    public String toString() {
        return (first.toString() + " AND " + second.toString());
    }


    @Override
    public boolean equals(Object obj) {
        if (obj == this)
            return true;
        if (obj == null)
            return false;
        if (this.getClass() == obj.getClass()) {
            
            PairOfStrings other = (PairOfStrings)obj;
            return first.equals(other.first) && second.equals(other.second);
        }
        else {
            return false;
        }
    }



}
